org.appng.search.json

## Class Result

- java.lang.Object
- - org.appng.search.json.Result

- All Implemented Interfaces:
    Comparable<Result>

      public class Result
      extends Object
      implements Comparable<Result>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Result.Field`
    `static class` | `Result.Fields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Result other)`
    `static Result` | `fromDocument(Document d)`
    `Date` | `getDate()`
    `List<Result.Field>` | `getFieldList()`
    `Result.Fields` | `getFields()`
    `String` | `getFragment()`
    `String` | `getImage()`
    `String` | `getLanguage()`
    `String` | `getLink()`
    `float` | `getScore()`
    `String` | `getText()`
    `String` | `getTitle()`
    `String` | `getType()`
    `void` | `setDate(Date date)`
    `void` | `setFields(Result.Fields fields)`
    `void` | `setFragment(String fragment)`
    `void` | `setImage(String image)`
    `void` | `setLanguage(String language)`
    `void` | `setLink(String link)`
    `void` | `setScore(float score)`
    `void` | `setText(String text)`
    `void` | `setTitle(String title)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Result

          public Result()

  - ### Method Detail

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getDate

          public Date getDate()

    - #### setDate

          public void setDate(Date date)

    - #### getText

          public String getText()

    - #### setText

          public void setText(String text)

    - #### getImage

          public String getImage()

    - #### setImage

          public void setImage(String image)

    - #### getLink

          public String getLink()

    - #### setLink

          public void setLink(String link)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### getFragment

          public String getFragment()

    - #### setFragment

          public void setFragment(String fragment)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getScore

          public float getScore()

    - #### setScore

          public void setScore(float score)

    - #### getFields

          public Result.Fields getFields()

    - #### setFields

          public void setFields(Result.Fields fields)

    - #### fromDocument

          public static Result fromDocument(Document d)

    - #### compareTo

          public int compareTo(Result other)

      Specified by:
        `compareTo` in interface `Comparable<Result>`

    - #### getFieldList

          public List<Result.Field> getFieldList()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.